ReflectionParameter::getClass
ReflectionParameter::getDeclaringFunction
ReflectionParameter
PHP Manual

# ReflectionParameter::getDeclaringClass

(PHP 5)

ReflectionParameter::getDeclaringClass — Gets declaring class

### Description

public ReflectionClass ReflectionParameter::getDeclaringClass ( void )

Gets the declaring class.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

This function has no parameters.

### Return Values

A ReflectionClass object.

### See Also

- ReflectionParameter::getClass - Get class

ReflectionParameter::getClass
ReflectionParameter::getDeclaringFunction
ReflectionParameter
PHP Manual